net.corda.flows

## Class BroadcastTransactionFlow.NotifyTxRequest

- net.corda.flows.BroadcastTransactionFlow.NotifyTxRequest

- Enclosing class:
    BroadcastTransactionFlow

      public static class BroadcastTransactionFlow.NotifyTxRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotifyTxRequest(SignedTransaction tx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignedTransaction` | `component1()`
    `BroadcastTransactionFlow.NotifyTxRequest` | `copy(SignedTransaction tx)`
    `boolean` | `equals(java.lang.Object p)`
    `SignedTransaction` | `getTx()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### NotifyTxRequest

          public NotifyTxRequest(SignedTransaction tx)

  - ### Method Detail

    - #### getTx

          public SignedTransaction getTx()

    - #### component1

          public SignedTransaction component1()

    - #### copy

          public BroadcastTransactionFlow.NotifyTxRequest copy(SignedTransaction tx)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)